# Generated by Django 3.0.4 on 2021-03-08 11:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("concert", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="ConcertUser",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "is_going",
                    models.BooleanField(default=True, verbose_name="идет на концерт?"),
                ),
                (
                    "concert",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="concert.Concert",
                        verbose_name="концерт",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="пользователь",
                    ),
                ),
            ],
            options={
                "verbose_name": "пользователь концерта",
                "verbose_name_plural": "пользователи концерта",
            },
        ),
        migrations.AddField(
            model_name="concert",
            name="users",
            field=models.ManyToManyField(
                related_name="users",
                through="concert.ConcertUser",
                to=settings.AUTH_USER_MODEL,
                verbose_name="пользователи",
            ),
        ),
    ]
